<?
define('PROTECTOR', 1);

$headmod = 'lambard';//фикс. места

$textl='Ломбард';
@include('files/db.php');
@include('files/auth.php');
@include('files/func.php');
going();
@include('files/core.php');
@include('files/head.php');
@include('files/zag.php');
$d = time();
switch($_GET[mod]){

default:
echo"<b>Ломбард, продажа вещей</b> $div";
echo"<a href=\"lambard.php?mod=item\">Сдать вещи</a><br/>";
echo"<a href=\"lambard.php?mod=res\">Сдать ресурсы</a></br> $div";
echo'<a href="javascript:history.go(-1)">Назад</a>';
//echo"<a href=\"almaz.php\">Алмазная лавка</a></br>";
//echo"<img src='pic/bazar.gif' alt='*'/> <a href=\"pay.php\">Покупка алмазов</a>";
break;
case 'item':
echo"<font color='#ffc22b'> • Здесь показаны вещи, которые находятся в твоём инвентаре.<br> Их можно продать по 55% от магазинной стоимости</font>$div";
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' and `image`='not'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$cena=round($mag[cena]/1.8);
echo"<a href=\"lambard.php?mod=item&id=$mag[id]\">$mag[name]</a> (Цена $cena монет)<br/>";
}}else{echo"Пока нет вещей<br/>";}}else{
$req = mysql_query("SELECT * FROM `weapon` WHERE `usr` = '$log' and `image`='not' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$item = mysql_fetch_array($req);

$cena=round($item[cena]/1.8);
$udata[money]=$udata[money]+$cena;

mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");

mysql_query("DELETE FROM `weapon` WHERE usr='$log' and `image`='not' and `id`='$_GET[id]'");

echo"Вещь $item[name] продана за $cena монет!<br/>";
}else{echo"Нет такой вещи<br/>";}}
echo"$div<a href=\"lambard.php?mod=item\">Назад</a><br><a href=\"lambard.php?\">В ломбард</a>";
break;

case 'res':
echo"<font color='#ffc22b'> • Ресурсы можно продать по 55% от магазинной стоимости<br> Цены указана за 1 единицу ресурса</font>$div";
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `kol`>'0' ORDER BY cena DESC");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($mag = mysql_fetch_array($req))
{
$cena=round($mag[cena]/1.8);
echo"<a href=\"lambard.php?mod=res&id=$mag[id]\">$mag[name]</a> (<b>$mag[kol]</b> штук <img src='pic/bazar.gif' alt='*'/> $cena )<br/>";
}}else{echo"Нет ресурсов!<br/>";}}else{
if(empty($_POST[num])){
echo "<form action=\"lambard.php?mod=res&id=$_GET[id]\" method=\"post\">";
echo '<b>Сколько:</b><br/>';
echo '<input name="num"/><br/>';
echo '<input type="submit" value="Продолжить"/></form>';}else{
if($_POST[num]<1){echo"Ошибка!";
@include('files/down.php');exit;}
$req = mysql_query("SELECT * FROM `res` WHERE `usr` = '$log' and `id`='$_GET[id]'");
//////////////////////////////
$avto=mysql_num_rows($req);
if($avto==1){
$res = mysql_fetch_array($req);
/////////////////////
if($res[kol]-$_POST[num]<=0){
mysql_query("UPDATE `res` SET `kol` = '0' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$res[kol];
}else{
$res[kol]=$res[kol]-$_POST[num];
mysql_query("UPDATE `res` SET `kol` = '$res[kol]' WHERE `usr` = '$log' and `id`='$_GET[id]'");
$nkol=$_POST[num];
}
///////////////////////
$cena=round($res[cena]/1.8);
////////////////////////
$udata[money]=round($udata[money]+$cena*$nkol);
$cena=round($cena*$nkol);
/////////////////////
mysql_query("UPDATE `users` SET `money` = '$udata[money]' WHERE `usr` = '$log'");
//////////////////////////////////////
echo"<img src='pic/yes.png' alt='*'/> $res[name]($nkol штук) продано за $cena монет!<br/>";
}else{
echo"Нет ресурсов!<br/>";
}
}
}
echo"$div<a href=\"lambard.php?mod=res\">Назад</a><br><a href=\"lambard.php?\">В ломбард</a>";
break;


}
@include('files/down.php');
?>






